/*!
 * \file   /utl/impl/version.h
 * \brief  version and cpp version check
 *
 * Copyright (C) 2018 Christos Choutouridis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef __utl_impl_version_h__
#define __utl_impl_version_h__

//!\defgroup version version
//! Definitions of the utl version
//!\ingroup impl

#define UTL_VERSION       "0.0.0"
#define UTL_VERSION_MAJOR  0
#define UTL_VERSION_MINOR  0
#define UTL_VERSION_PATCH  0
#define UTL_VERSION_VALUE ( (UTL_VERSION_MAJOR * 10000) \
                          + (UTL_VERSION_MINOR * 100)   \
                          + UTL_VERSION_PATCH)

#if __cplusplus < 201103L
#error "uTL requires C++11"
#endif

#endif /* __utl_impl_version_h__ */
